LogsGet email activity logs

Get email activity logs

curl -X GET "https://api.supasend.io/v1/logs?status=queued&limit=50&offset=0" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
[
  {
    "id": "example_string",
    "user_id": "example_string",
    "mailbox_id": "example_string",
    "ip_id": "example_string",
    "from_email": "user@example.com",
    "to_email": "user@example.com",
    "reply_to": "example_string",
    "subject": "example_string",
    "body_html": "example_string",
    "body_text": "example_string",
    "headers": {},
    "status": "queued",
    "scheduled_at": "2024-12-25T10:00:00Z",
    "attempts": 42,
    "max_attempts": 42,
    "last_error": "example_string",
    "message_id": "example_string",
    "thread_id": "example_string",
    "in_reply_to": "example_string",
    "references": [
      "example_string"
    ],
    "kind": "",
    "sent_at": "2024-12-25T10:00:00Z",
    "replied_at": "2024-12-25T10:00:00Z",
    "bounced_at": "2024-12-25T10:00:00Z",
    "bounce_reason": "example_string",
    "created_at": "2024-12-25T10:00:00Z"
  }
]
GET
/v1/logs
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
query
statusstring
Options: queued, processing, sent, failed, scheduled, cancelled
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Query Parameters

statusstring
Allowed values:queuedprocessingsentfailedscheduledcancelled

Responses

idstring
user_idstring
mailbox_idstring
ip_idstring
from_emailstring
to_emailstring
reply_tostring
subjectstring
body_htmlstring
body_textstring
headersobject
statusstring
Allowed values:queuedprocessingsentfailedscheduledcancelled
scheduled_atstring
attemptsinteger
max_attemptsinteger
last_errorstring
message_idstring

RFC 5322 Message-ID, assigned when the job is created

thread_idstring

Unibox thread this send belongs to (set once it is part of a conversation)

in_reply_tostring
referencesstring[]
kindstring
Allowed values:replyforward
sent_atstring
replied_atstring

First inbound reply received (stamped by inbox sync)

bounced_atstring
bounce_reasonstring
created_atstring